Search Results for

Show / Hide Table of Contents

# Class TableView.CellActivatedEventArgs

Defines the event arguments for CellActivated event

##### Inheritance

System.Object
TableView.CellActivatedEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class CellActivatedEventArgs : EventArgs

### Constructors

#### CellActivatedEventArgs(DataTable, Int32, Int32)

Creates a new instance of arguments describing a cell being activated in TableView

##### Declaration

    public CellActivatedEventArgs(DataTable t, int col, int row)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.DataTable | t |
System.Int32 | col |
System.Int32 | row |

### Properties

#### Col

The column index of the Table cell that is being activated

##### Declaration

    public int Col { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Row

The row index of the Table cell that is being activated

##### Declaration

    public int Row { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Table

The current table to which the new indexes refer. May be null e.g. if selection change is the result of clearing the table from the view

##### Declaration

    public DataTable Table { get; }

##### Property Value

Type | Description
--- | ---
System.Data.DataTable |